BlockEvents.placed('kubejs:archilution', event => {
    if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.DOWN){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archilution_d').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.NORTH){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archilution_n').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.SOUTH){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archilution_s').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.WEST){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archilution_w').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.EAST){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archilution_e').getBlockStates().toArray()[0], 3, 3);
    }
});

BlockEvents.placed('kubejs:archium', event => {
    if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.DOWN){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archium_d').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.NORTH){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archium_n').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.SOUTH){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archium_s').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.WEST){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archium_w').getBlockStates().toArray()[0], 3, 3);
    }
    else if(event.block.blockState.getValue(BlockProperties.FACING) === Direction.EAST){
        event.level.setBlock(event.block.pos, BlockStatePredicate.fromString('kubejs:archium_e').getBlockStates().toArray()[0], 3, 3);
    }
});